body {
	background-color: #1f1f1f;
	color: white;
  }
  

.message {
	position: relative;
	padding-left: 2.5rem;
	margin-bottom: 0.5em; /* Restore the correct margin */
	line-height: 1.2; /* Restore the correct line height */
	padding-top: 0.2em; /* Restore the correct padding to the top */
	padding-bottom: 0.2em; /* Restore the correct padding to the bottom */
}

.delete {
    position: absolute;
    left: 0.5rem;
    top: 0;
    bottom: 0;
    display: flex;
    align-items: center;
    font-weight: bold;
    font-size: 1.5rem;
    color: transparent;
    cursor: pointer;
    padding: 0 0.5rem;
}

.message:hover .delete {
    color: red;
}


#chat-container {
	position: relative;
}

#chat-form {
	margin-bottom: 1rem;
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	gap: 10px; /* Added to create space between elements */
}

#name-box {
	display: inline-block;
	width: 200px;
	vertical-align: middle;
	display: flex;
	align-items: center;
}

#name-box label {
	display: block;
	margin-bottom: 0.5rem;
}

#logo {
	display: inline-block;
	font-size: 2rem;
	font-weight: bold;
	margin-right: 1rem;
}

#logo span {
	display: inline-block;
	padding-right: 0.5rem;
}

#logo img {
	height: 3rem;
}

label {
	display: inline-block;
	margin-right: 0.5rem;
}

.white-text {
	color: white;
}

.black-text {
	color: black;
}

#chat-feed .message span {
	padding-right: 5px;
}

#logo:after {
	content: "™";
	font-size: 0.8em;
	margin-left: 0.1em; /* Reduced from 0.2em */
	vertical-align: super; /* Added to raise the TM slightly */
}

.swatch {
    display: inline-block;
    width: 20px;
    height: 20px;
    border: 1px solid #333;
    margin-right: 10px;
    border-radius: 50%;
}
  

#color-choices label {
	display: inline-block;
	width: 20px;
	height: 20px;
	margin-right: 5px;
	position: relative;
	cursor: pointer;
}

#color-choices input[type="radio"] {
	display: none;
}

#color-choices input[type="radio"]:checked + label:before {
	content: "\2714";
	color: white;
	font-size: 20px;
	position: absolute;
	top: 2px;
	left: 2px;
}

#color-choices input[type="radio"]:checked + label .swatch {
	border: 3px solid white;
}

#color-choices label .swatch {
	display: block;
	height: 100%;
	border-radius: 50%;
}

#color-choices input[type="radio"]:checked + label .swatch {
	background-color: #333;
}

#color-choices input[type="radio"]:checked + label:before {
	content: "\2714";
	color: white;
	font-size: 20px;
	position: absolute;
	top: 50%;
	left: 65%;
	transform: translate(-50%, -50%);
}

#color-choices {
	margin-left: 10px; /* Added to move color swatches to the right */
}

#post-count {
    position: fixed;
    bottom: 0;
    left: 0;
    right: 0;
    background-color: rgba(0, 0, 0, 0.8);
    color: white;
    text-align: center;
    padding: 10px;
    font-size: 16px;
    z-index: 1000;
}

input[type="submit"] {
	margin-left: 10px; /* Added to move OK button to the right */
}

.message-name {
	font-weight: bold; /* Added to make names bold in the chat */
}
